Skip to main content
`Ctrl`+`K`

# PetscSectionSetClosureIndex

Create an internal data structure to speed up closure queries.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetClosureIndex(PetscSection section, PetscObject obj, PetscSection clSection, IS clPoints)

Collective

## Input Parameters

- section - The `PetscSection`

- obj - A `PetscObject` which serves as the key for this index

- clSection - `PetscSection` giving the size of the closure of each point

- clPoints - `IS` giving the points in each closure

## Note

This function creates an internal map from each point to its closure. We compress out closure points with no dofs in this section.

## Developer Notes

The information provided here is completely opaque

## See Also

PetscSection, `PetscSection`, `PetscSectionGetClosureIndex()`, `DMPlexCreateClosureIndex()`

## Level

advanced

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages